## ros-galactic-ros2topic 0.13.5

=== debian/changelog ===
ros-galactic-ros2topic (0.13.5-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-ros2topic (0.13.4-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 30 Jun 2022 07:00:00 -0000

ros-galactic-ros2topic (0.13.3-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-ros2topic (0.13.2-1focal) focal; urgency=high

  * Add changelog. (#636 <https://github.com/ros2/ros2cli/issues/636>)
  * Contributors: Ivan Santiago Paunovic

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 07 May 2021 07:00:00 -0000

ros-galactic-ros2topic (0.13.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-galactic-ros2topic (0.13.0-1focal) focal; urgency=high

  * Add verbose info for topic list. (#351 <https://github.com/ros2/ros2cli/issues/351>)
  * Contributors: ChenYing Kuo

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-ros2topic (0.12.0-1focal) focal; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add option to support use_sim_time. (#581 <https://github.com/ros2/ros2cli/issues/581>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang, Tomoya Fujita

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 02 Mar 2021 08:00:00 -0000

ros-galactic-ros2topic (0.11.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-ros2topic (0.10.1-1focal) focal; urgency=high

  * Add filter option to ros2topic . (#575 <https://github.com/ros2/ros2cli/issues/575>)
  * Contributors: Jacob Perron

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-ros2topic (0.10.0-1focal) focal; urgency=high

  * Update deprecated qos policy value names. (#571 <https://github.com/ros2/ros2cli/issues/571>)
  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Fix the test to use the topic name. (#566 <https://github.com/ros2/ros2cli/issues/566>)
  * Improve the error message for invalid message types. (#558 <https://github.com/ros2/ros2cli/issues/558>)
  * Use reliable QoS for ros2topic tests. (#555 <https://github.com/ros2/ros2cli/issues/555>)
  * Add option to echo serialized messages. (#470 <https://github.com/ros2/ros2cli/issues/470>)
  * Enable --no-daemon flag for some cli tools. (#514 <https://github.com/ros2/ros2cli/issues/514>)
  * Use transient_local and longer keep-alive for pub tests. (#546 <https://github.com/ros2/ros2cli/issues/546>)
  * Add --keep-alive option to 'topic pub'. (#544 <https://github.com/ros2/ros2cli/issues/544>)
  * Add option to ros2 topic echo to report lost messages. (#542 <https://github.com/ros2/ros2cli/issues/542>)
  * Support QoS Depth and History via ros2 topic pub/echo. (#528 <https://github.com/ros2/ros2cli/issues/528>)
  * Contributors: Chris Lalancette, Claire Wang, Dereck Wonnacott, Dirk Thomas, Ivan Santiago Paunovic, Jacob Perron, Scott K Logan, tomoya

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-galactic-ros2topic (0.9.5-1focal) focal; urgency=high

  * Guard against passing None to rclpy subscriber. (#520 <https://github.com/ros2/ros2cli/issues/520>)
    * Guard against passing None to rclpy subscriber
    Fixes #519 <https://github.com/ros2/ros2cli/issues/519>
    * Add regression test
  * Contributors: Jacob Perron

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-ros2topic (0.9.4-1focal) focal; urgency=high

  * Use consistent quotes in help messages. (#517 <https://github.com/ros2/ros2cli/issues/517>)
    Using single quotes inside double quotes is consistent with the other CLI help messages.
  * Fix typo in ros2 topic delay help. (#510 <https://github.com/ros2/ros2cli/issues/510>)
  * Contributors: Audrow Nash, Jacob Perron

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-ros2topic (0.9.3-1focal) focal; urgency=high

  * Make CLI more robust to discovery latency. (#494 <https://github.com/ros2/ros2cli/issues/494>)
  * Contributors: Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-galactic-ros2topic (0.9.2-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-galactic-ros2topic (0.9.1-1focal) focal; urgency=high

  * Fix expectation of "Incompatible QoS" messages in unit test. (#496 <https://github.com/ros2/ros2cli/issues/496>)
  * Contributors: Miaofei Mei

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 06 May 2020 07:00:00 -0000

ros-galactic-ros2topic (0.9.0-1focal) focal; urgency=high

  * Implement times for ros2 topic pub. (#491 <https://github.com/ros2/ros2cli/issues/491>)
    * Implement times for ros2 topic pub
  * Stop using 'node_name' and 'node_namespace' in tests. (#498 <https://github.com/ros2/ros2cli/issues/498>)
    They are both deprecated, and print warnings in CI like:
    Warning: The parameter 'node_name' is deprecated, use 'name' instead
  * [ros2topic bw] Monotonic clock, units, fstring. (#455 <https://github.com/ros2/ros2cli/issues/455>)
    * Use monotonic clock to avoid system time jumps
    * Fix units on message sizes
    * Make bw message easier to understand
    * Use f strings
    * Add back []
    * Update BW test regex
  * Replace deprecated launch_ros usage. (#487 <https://github.com/ros2/ros2cli/issues/487>)
    The Node parameter 'node_executable' has been deprecated and replaced
    with the parameter 'executable'.
  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * Fix formatting of "ros2 topic info -v" output. (#473 <https://github.com/ros2/ros2cli/issues/473>)

