=== debian/control ===
Source: ros-galactic-ros2topic
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-galactic-ament-copyright <!nocheck>, ros-galactic-ament-flake8 <!nocheck>, ros-galactic-ament-pep257 <!nocheck>, ros-galactic-ament-xmllint <!nocheck>, ros-galactic-geometry-msgs <!nocheck>, ros-galactic-ros-testing <!nocheck>, ros-galactic-ros2cli, ros-galactic-std-msgs <!nocheck>, ros-galactic-test-msgs <!nocheck>, ros-galactic-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ros2topic
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-numpy, python3-yaml, ros-galactic-rclpy, ros-galactic-ros2cli, ros-galactic-rosidl-runtime-py, ros-galactic-ros-workspace
Description: The topic command for ROS 2 command line tools.
